Skip to main content
GET
/
articles
List articles
curl --request GET \
  --url https://api.awardee.dev/v1/articles \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "has_more": true,
  "next_cursor": "<string>",
  "data": [
    {
      "object": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "knowledge_base_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "slug": "<string>",
      "content_plain": "<string>",
      "language": "<string>",
      "indexed_at": "2023-11-07T05:31:56Z",
      "published_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "tag_names": [
        "<string>"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.

Query Parameters

cursor
string
limit
integer
Required range: 1 <= x <= 100
status
string

Comma-separated status filter.

visibility
string

Comma-separated visibility filter.

language
string

Comma-separated language filter.

category_id
string<uuid>
knowledge_base_id
string<uuid>
tag
string

Comma-separated tag names — matches any.

sort
enum<string>
Available options:
created_at,
updated_at,
published_at,
title
order
enum<string>
Available options:
asc,
desc

Response

Cursor-paginated article list

object
string
required
Allowed value: "list"
has_more
boolean
required
next_cursor
string | null
required
data
object[]
required